Bug 604541 - RFE: cherry-pick tasks to clone from matrix view
Summary: RFE: cherry-pick tasks to clone from matrix view
Status: NEW
Alias: None
Product: Beaker
Classification: Community
Component: web UI   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard: UX
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 08:18 UTC by Marian Csontos
Modified: 2018-11-09 23:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marian Csontos 2010-06-16 08:18:51 UTC
Matrix view is great for re-viewing jobs and regressions.
It would completely rocks if it could be used for Cloning jobs as well...

I would like to re-run only certain jobs and only some tasks just to quickly verify regressions without need to rerun whole job.

Re: ordering of jobs: always use original order - this might be important part of job.

Comment 1 Raymond Mancy 2010-06-16 22:37:54 UTC
AFAIK this is a feature Bill did not want. re-queuing.
Bill?

Comment 2 Marian Csontos 2010-06-17 09:24:55 UTC
Does it mean it is acceptable to clone whole job but not to run only tasks I want? :-/

Comment 3 Bill Peck 2010-06-17 13:21:48 UTC
I just don't want old recipes that have completed to be put back in a queued state.  If its done its done.

An acceptable solution to me is to clone the job/recipe and only include the failing tasks in the new job.  Does that make sense to everyone?

Comment 4 Marian Csontos 2010-06-17 17:07:20 UTC
Hi Bill, that was my intention - to create a new job(s) with only selected tasks.

Comment 5 Raymond Mancy 2010-12-23 04:57:42 UTC
Hmm, ok this should work ok on tasks that have no dependencies on each other, but otherwise could crash and burn.


Note You need to log in before you can comment on or make changes to this bug.